# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/g++ /usr/bin/gdb gcc-c++ glib2-devel gtk+-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXext-devel libaudiofile-devel libgmp-devel libgpgme-devel libgtk+2-devel
# END SourceDeps(oneline)
Summary: Universal Instant Messaging Client
Name: ayttm
Version: 0.6.3
Release: alt2_7
Group: Networking/WWW
License: GPLv2+ and LGPLv2+
URL: http://ayttm.sourceforge.net/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: flex
BuildRequires: bison
BuildRequires: libltdl7-devel
BuildRequires: libXpm-devel
BuildRequires: libssl-devel
BuildRequires: libjasper-devel
BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel
BuildRequires: gettext
BuildRequires: libaspell-devel
BuildRequires: libltdl7
BuildRequires: libenchant-devel
BuildRequires: libyahoo2-devel

Requires: xawtv
Requires: aspell
Source44: import.info

%description
Ayttm is designed to become a Universal Instant Messaging client, seamlessly
integrating all existing Instant Messaging clients and providing a single
consistant user interface. Currently, Ayttm supports sending and receiving
messages through AOL, ICQ, Yahoo, MSN, IRC and Jabber.

%prep

%setup -q -n %{name}-%{version}

tr -d '\r' < AUTHORS > AUTHORS.new
iconv -f ISO-8859-2 -t UTF-8 AUTHORS.new > AUTHORS


%build
%configure --enable-smtp --enable-jasper-filter --enable-posix-dlopen --disable-esd --disable-static --disable-arts --with-gnu-ld
 
make %{?_smp_mflags}

%install
%makeinstall_std INSTALL="install -p"
install -Dm644 %buildroot%{_datadir}/applnk/Internet/ayttm.desktop %buildroot%_desktopdir/ayttm.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS README ChangeLog
%doc %{_mandir}/man*/*
%{_datadir}/pixmaps/*.png
%{_datadir}/ayttm/sounds/*
%{_datadir}/ayttm/smileys/*
%{_datadir}/applications/ayttm.desktop
%{_libdir}/ayttm/*.so 
%config(noreplace) %{_sysconfdir}/ayttmrc
%{_bindir}/ayttm_streamer_wrapper
%{_bindir}/ayttm
%exclude %{_libdir}/ayttm/*.la
%exclude %{_datadir}/applnk/Internet/ayttm.desktop
%exclude %{_datadir}/gnome/apps/Internet/ayttm.desktop

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt2_7
- update to new release by fcimport

* Mon Jan 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt2_6
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt2_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt2_4
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt2_3
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt1_3
- converted for Sisyphus

